- Gets all of the revenue recognition schedules in the system.
This method will scan all revenue recognition schedules and and return them to the caller.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/revenueRecognitionSchedules/{tenantId}
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/revenueRecognitionSchedules/{tenantId}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/revenueRecognitionSchedules/{tenantId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The revenue recognition scheduleswere retrieved successfully.
The currency code for the revenue recognition schedule
The parent schedule, if this schedule is related to another
The versino of the product that created this schedule
The amount of revenue that has been recognized
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
Concatenation of the business unit id and the status, used for indexing
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
[ { "batch_id": "string", "business_unit_id": "string", "contact_id": "string", "credit_memo_id": "string", "currency_code": "str", "custom_field_values": [ … ], "customer_type": "string", "date": "string", "debit_memo_id": "string", "deferred_revenue_gl_account_id": "string", "entries": [ … ], "id": "string", "invoice_id": "string", "invoice_line_item_id": "string", "membership_id": "string", "notes": "string", "organization_id": "string", "parent_schedule_id": "string", "payment_id": "string", "payment_line_item_id": "string", "product_id": "string", "product_name": "string", "product_type": "string", "product_version": 0.1, "recognized_amount": 0.1, "refund_id": "string", "revenue_gl_account_id": "string", "revenue_splits": [ … ], "status": "closed", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_business_unit_status": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total": 0.1, "transaction_id": "string", "type": "credit memo", "unrecognized_amount": 0.1, "write_off_id": "string" } ]